local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");

L:RegisterTranslations("enUS", function() return {

	--Config Translations
	["Kill Bar"] = true,
	["Disable Bar"] = true,

	--Group info and test bar stuff
	["Sorren Timers Group Anchor"] = true,
	["Drag this to reposition"] = true,
	["Shift+Left Click to hide"] = true,
	["Alt+Left Click to show a test bar"] = true,
	["Alt+Left Click again to hide the test bar"] = true,
	["If you hide this, you can show it again by going to Group Options -> groupname -> Uncheck Lock"] = true,
	["Test bar"] = true,
	["Group \"%s\" not found!"] = true, --%s is where the group name will be
  ["Unknown"] = true,
	
	--hunter
	["Trap Arming"] = true,
	["Snakes"] = true,

	--Warrior
	["Stuns"] = true,
	["Passive Stuns"] = true,
	["Mace Stun"] = true,
	
	--mage
	["Freeze"] = true, --Mage pet spell
	
	--other
	["D - "] = true, --diminishing returns prefix
	["Diminish "] = true,
	["Disorients"] = true,
	["Global Cooldown"] = true,

	--options translations
	["Defaults"] = true,
	["Set the default look and feel of the bars"] = true,
	["Bar Colors"] = true,
	["Sets the colors for the bars"] = true,
	["<color1> <color2> <color3>...(must have at at least 1 color)"] = true,
	["Color %s is not a valid color, skipping."] = true,
	["Fade Time"] = true,
	["How long it takes the bar to fade after completion"] = true,
	["<time> (in seconds, use a negative time for it to stick and never fade)"] = true,
	["%s is not a valid number."] = true,
	["Bar Width"] = true,
	["How wide bars are"] = true,
	["<width>"] = true,
	["Bar Height"] = true,
	["How tall bars are"] = true,
	["<height>"] = true,
	["Grow Upwards"] = true,
	["Controls the direction in which the bars of this group will grow"] = true,
	["Upwards"] = true,
	["Downwards"] = true,
	["Display String (target)"] = true,
	["How bars that have a target will display\nUse $name for skill name, $target for skill target, \nex. $name - $target"] = true,
	["use $name for where the skill goes, $target for the target (ex. $name - $target)"] = true,
	["Display String (no target)"] = true,
	["How bars will display the skill name, use $name for skill name"] = true,
	["use $name for where the skill goes"] = true,
	["Diminish String (target)"] = true,
	["How bars that have a target will display, use $n for number of applications\n$name for skill name, $target for target,\nex. ($n) $name - $target"] = true,
	["use $name for where the skill goes, $n for the applications, $target for target"] = true,
	["Bar Texture"] = true,
	["The texture bars will use"] = true,
	["<texture>"] = true,
	["Use default settings"] = true,
	["Use Default Fade Time"] = true,
	["Use Default Colors"] = true,
	["Group Options"] = true,
	["Set the look and feel for the bars of a partciluar group"] = true,
	["Create New Group"] = true,
	["Create a new bar grouping"] = true,
	["Group names need to be letters only."] = true,
	["Group %s already exists."] = true,
	["Use Default Width"] = true,
	["Use Default Height"] = true,
	["Use Default Growth Setting"] = true,
	["Delete Group"] = true,
	["Delete this group (defaultgroup and BGTimers cannot be deleted)"] = true,
	["Use Default Display (target) String"] = true,
	["Use Default Display String"] = true,
	["Use Default Diminish String"] = true,
	["Use Default Texture"] = true,
	["How bars that have a target will display"] = true,
	["How bars will display the skill name"] = true,
	["How bars that have a target will display"] = true,
	["Enabled"] = true,
	["Show a bar for this skill"] = true,
	["Group"] = true,
	["The Group to which this bar belongs"] = true,
	["Use Default Colors"] = true,
	["Use default settings"] = true,
	["Colors"] = true,
	["Colors for this skill\nex.\"green cyan blue\""] = true,
	["Skill Options"] = true,
	["Change the look and feel of individual bars. This section is populated as you use more skills."] = true,
	["Use Default Fade Time"] = true,
	["How long it takes the bar to fade after completion, use a negative number if you want it to never fade"] = true,
	["Old options detected. Converted to new options, backed up old options. /st nukeoldoptions to get rid of backup."] = true,
	["Locked"] = true,
	["Show/hide this group's anchor"] = true,
	["Reset Location"] = true,
	["Use this to bring the skill back to the center of the screen if you've accidentally dragged it off."] = true,
	["Are you sure you want to delete group %s? All settings for this group will be lost."] = true,
	["Enemy Skill Options"] = true,
	["Change the look and feel of individual bars pertaining to enemy abilities"] = true,
	["Diminish String (target)"] = true,
	["Buff Tracking"] = true,
	["Track certain buffs with status bars, must be individually enabled. This is populated when you gain trackable buffs."] = true,
	["Click for options"] = true,
	["Config"] = true,
	["Bring up the config window"] = true,
	["Diminishing Returns Bar Colors"] = true,
	["No colors were valid."] = true,
	["Default Group"] = true,
	["Set the default Group for these bars"] = true,
	["Use Default Group"] = true,
	["Use the default group for this type of skill"] = true,
	["Scale"] = true,
  ["The Scale of the group's bars"] = true,
  ["Use Default Scale Settings"] = true,
  ["Share"] = true,
  ["Share this skill duration with others in your group."] = true,
  ["Group Skill Options"] = true,
  ["Enable/disable/customize information you receive from other players. This list is populated when you receive new ability information."] = true,
  ["Enable receiving spell information from other players."] = true,
  ["Color Options"] = true,
  ["Make new colors to use in the bars. Default paintchip colors cannot be changed."] = true,
  ["New Custom Color"] = true,
  ["Creates a new custom color."] = true,
  ["The color %s is already defined."] = true,
  ["Error: Field empty"] = true,
  ["Delete Color"] = true,
  ["Remove a custom color"] = true,
  ["Are you sure you want to delete the color %s?"] = true,
	
} end );