local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
Btest = AceLibrary("Babble-Spell-2.2");
function SorrenTimers:SetHunter() 
	return {
		useActionSkills = { --skills that must be detected through UseAction Hook
			[BS["Freezing Trap"] ] = {
				duration = 60,
				start = L["Trap Arming"],
			},
			[BS["Immolation Trap"] ] = {
				duration = 60,
				start = L["Trap Arming"],
			},
			[BS["Frost Trap"] ] = {
				duration = 60,
				start = L["Trap Arming"],
			},
			[BS["Snake Trap"] ] = {
				duration = 60,
				start = L["Trap Arming"],
			},
			[BS["Explosive Trap"] ] = {
				duration = 60,
				start = L["Trap Arming"],
			},
			[BS["Flare"] ] = {
				duration = 20,
			},
			[BS["Hunter's Mark"] ] = {
				stop = BS["Hunter's Mark"],
			},
			[BS["Kill Command"] ] = {
				stop = BS["Kill Command"],
				level = 66,
			},
			[BS["Mongoose Bite"] ] = {
				stop = BS["Mongoose Bite"],
			},
			[BS["Counterattack"] ] = {
				stop = BS["Counterattack"],
			},
			[BS["Auto Shot"] ] = {
				stop = BS["Auto Shot"],
			},
		},
		onDodge = {
			[BS["Mongoose Bite"] ] = {
				duration = 5,
			},
		},
		onParry = {
			[BS["Counterattack"] ] = {
				duration = 5,
				talent = {
						tab = 3,
						num = 16,
					},
				},
		},
		onCrit = {
			[BS["Kill Command"] ] = {
				duration = 5,
				level = 66,
			},
		},
		special = {
			[L["Trap Arming"] ] = {
				duration = 2;
			},
			[L["Snakes"] ] = {
				duration = 15,
			},
		},
		diminish = {
			[BS["Freezing Trap Effect"] ] = BS["Freezing Trap"],
			[BS["Scare Beast"] ] = BS["Fear"],
		},
		cast = {
			[BS["Snake Trap"] ] = {
				start = L["Snakes"],
			},
		},
		stops = {
			[BS["Freezing Trap"] ] = {
				[BS["Immolation Trap"] ] = true,
				[BS["Explosive Trap"] ] = true,
				[BS["Frost Trap"] ] = true,
				[BS["Snake Trap"] ] = true,
			},
			[BS["Immolation Trap"] ] = {
				[BS["Freezing Trap"] ] = true,
				[BS["Explosive Trap"] ] = true,
				[BS["Frost Trap"] ] = true,
				[BS["Snake Trap"] ] = true,
			},
			[BS["Frost Trap"] ] = {
				[BS["Immolation Trap"] ] = true,
				[BS["Explosive Trap"] ] = true,
				[BS["Freezing Trap"] ] = true,
				[BS["Snake Trap"] ] = true,
			},
			[BS["Explosive Trap"] ] = {
				[BS["Immolation Trap"] ] = true,
				[BS["Freezing Trap"] ] = true,
				[BS["Frost Trap"] ] = true,
				[BS["Snake Trap"] ] = true,
			},
			[BS["Snake Trap"] ] = {
				[BS["Immolation Trap"] ] = true,
				[BS["Explosive Trap"] ] = true,
				[BS["Frost Trap"] ] = true,
				[BS["Freezing Trap"] ] = true,
			},
			[L["Snakes"] ] = BS["Snake Trap"],
			[BS["Freezing Trap Effect"] ] = BS["Freezing Trap"],
			[BS["Immolation Trap Effect"] ] = BS["Immolation Trap"],
			[BS["Frost Trap Aura"] ] = BS["Frost Trap"],
			[BS["Explosive Trap Effect"] ] = BS["Explosive Trap"],				
		},
	}, BS["Track Beasts"]
end
