local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function SorrenTimers:SetRogue() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			[BS["Distract"] ] = {
				duration = 10,
			},
		},
		interrupts = {
			[BS["Kick"] ] = {
				duration = 8,
			},
		},
		onParry = {
			[BS["Riposte"] ] = {
				talent = {
					tab = 2,
					num = 8,
				},
				duration = 6,
			},
		},
		diminish = {
			[BS["Sap"] ] = L["Disorients"],
			[BS["Gouge"] ] = L["Disorients"],
		},
	}, BS["Sinister Strike"];
end