local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function SorrenTimers:SetWarrior() 
	return {
		useActionSkills = { --skills that must be detected through UseAction Hook
			[BS["Revenge"] ] = {
				stop = BS["Revenge"],
			},
			[BS["Overpower"] ] = {
				stop = BS["Overpower"],
			},
			[BS["Victory Rush"] ] = {
				stop = BS["Victory Rush"],
			},
		},
		interrupts = {
			[BS["Pummel"] ] = {
				duration = 4,
			},
			[BS["Shield Bash"] ] = {
				duration = 6,
			},
		},
		onEnemyDodge = {
			[BS["Overpower"] ] = {
				duration = 5,
			},
		},
		onDodge = {
			[BS["Revenge"] ] = {
				duration = 5,
			},
		},
		onParry = {
			[BS["Revenge"] ] = {
				duration = 5,
			},
		},
		onKill = {
			[BS["Victory Rush"] ] = {
				duration = 20,
				level = 62,
			},
		},
		onBlock = {
			[BS["Revenge"] ] = {
				duration = 5,
			},
		},
		diminish = {
			[BS["Intercept Stun"] ] = L["Stuns"],
			[BS["Charge Stun"] ] = L["Stuns"],
			[BS["Revenge Stun"] ] = L["Stuns"],
			[L["Mace Stun"] ] = L["Passive Stuns"],
		},
	}, BS["Battle Shout"];
end